Subject: Fwd: New Version Notification for draft-nottingham-http-proxy-problem-00.txt

From: Mark Nottingham <[email-masked]>
Date: Tue, 15 Oct 2013 00:50:48 -0700

Hi everybody,

As we discussed in Berlin, any attempt that we make to improve security of the through greater use of encryption needs to consider the role of HTTP proxies. Based on various discussions and observations since then, I've started to write down some thoughts about the problems -- and potential solutions -- surrounding them. 

This is just a working document to help inform our discussions in Vancouver; any feedback would be most welcome, but please keep in mind its purpose is to start a discussion, not finish it.

Thanks to everyone who gave me feedback -- whether or not I took it! -- and to those people who contributed by answering my (sometimes uninformed) questions.

Cheers,

P.S. I've attached a potentially friendlier HTML version for convenience. 

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-nottingham-http-proxy-problem-00.txt
> Date: 15 October 2013 12:44:19 AM PDT
> To: Mark Nottingham <[email-masked]>
> 
> 
> A new version of I-D, draft-nottingham-http-proxy-problem-00.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Filename:	 draft-nottingham-http-proxy-problem
> Revision:	 00
> Title:		 Problems with Proxies in HTTP
> Creation date:	 2013-10-15
> Group:		 Individual Submission
> Number of pages: 17
> URL:             http://www.ietf.org/internet-drafts/draft-nottingham-http-proxy-problem-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-nottingham-http-proxy-problem
> Htmlized:        http://tools.ietf.org/html/draft-nottingham-http-proxy-problem-00
> 
> 
> Abstract:
>   This document discusses the use and configuration of proxies in HTTP,
>   pointing out problems in the currently deployed Web infrastructure
>   along the way.  It then offers a few principles to base further
>   discussion upon, and lists some potential avenues for further
>   exploration.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

--
Mark Nottingham   http://www.mnot.net/